| AI Engine Intrinsics User Guide (v2026.1)

Loading...
Searching...
No Matches
Functions
Z buffer conjugation
Intrinsics » Vector Operations » MAC intrinsics » Multiplication » Advanced » Integer » Vector MAC with pre-subtraction » 16 bit x 16 bit » 16 bit Complex x 16 bit Complex

## Overview

16 bit complex by 16 bit complex using Z buffer conjugation

## Functions
v4cacc48 | mac4_antisym_nc (v4cacc48 acc, v16cint16 xbuff, int xstart, unsigned int xoffsets, int xstep, int ystart, v8cint16 zbuff, int zstart, unsigned int zoffsets, int zstep)
| Complex anti-symmetric multiply-accumulate intrinsic function with z buffer conjugation with pre-sub from x input buffer using small X input buffer.
v4cacc48 | mac4_antisym_nc (v4cacc48 acc, v16cint16 xbuff, int xstart, unsigned int xoffsets, int xstep, v16cint16 ybuff, int ystart, v8cint16 zbuff, int zstart, unsigned int zoffsets, int zstep)
| Complex anti-symmetric multiply-accumulate intrinsic function with z buffer conjugation with pre-sub from x and y input buffers using small X input buffer.
v4cacc48 | mac4_antisym_nc (v4cacc48 acc, v32cint16 xbuff, int xstart, unsigned int xoffsets, int xstep, int ystart, v8cint16 zbuff, int zstart, unsigned int zoffsets, int zstep)
| Complex anti-symmetric multiply-accumulate intrinsic function with z buffer conjugation with pre-sub from x input buffer .
v8cacc48 | mac8_antisym_nc (v8cacc48 acc, v16cint16 xbuff, int xstart, unsigned int xoffsets, int ystart, v8cint16 zbuff, int zstart, unsigned int zoffsets)
| Complex anti-symmetric multiply-accumulate intrinsic function with z buffer conjugation with pre-sub from x input buffer using small X input buffer.
v8cacc48 | mac8_antisym_nc (v8cacc48 acc, v16cint16 xbuff, int xstart, unsigned int xoffsets, v16cint16 ybuff, int ystart, v8cint16 zbuff, int zstart, unsigned int zoffsets)
| Complex anti-symmetric multiply-accumulate intrinsic function with z buffer conjugation with pre-sub from x and y input buffers using small X input buffer.
v8cacc48 | mac8_antisym_nc (v8cacc48 acc, v32cint16 xbuff, int xstart, unsigned int xoffsets, int ystart, v8cint16 zbuff, int zstart, unsigned int zoffsets)
| Complex anti-symmetric multiply-accumulate intrinsic function with z buffer conjugation with pre-sub from x input buffer .
v4cacc48 | msc4_antisym_nc (v4cacc48 acc, v16cint16 xbuff, int xstart, unsigned int xoffsets, int xstep, int ystart, v8cint16 zbuff, int zstart, unsigned int zoffsets, int zstep)
| Complex anti-symmetric multiply-subtract intrinsic function with z buffer conjugation with pre-sub from x input buffer using small X input buffer.
v4cacc48 | msc4_antisym_nc (v4cacc48 acc, v16cint16 xbuff, int xstart, unsigned int xoffsets, int xstep, v16cint16 ybuff, int ystart, v8cint16 zbuff, int zstart, unsigned int zoffsets, int zstep)
| Complex anti-symmetric multiply-subtract intrinsic function with z buffer conjugation with pre-sub from x and y input buffers using small X input buffer.
v4cacc48 | msc4_antisym_nc (v4cacc48 acc, v32cint16 xbuff, int xstart, unsigned int xoffsets, int xstep, int ystart, v8cint16 zbuff, int zstart, unsigned int zoffsets, int zstep)
| Complex anti-symmetric multiply-subtract intrinsic function with z buffer conjugation with pre-sub from x input buffer .
v8cacc48 | msc8_antisym_nc (v8cacc48 acc, v16cint16 xbuff, int xstart, unsigned int xoffsets, int ystart, v8cint16 zbuff, int zstart, unsigned int zoffsets)
| Complex anti-symmetric multiply-subtract intrinsic function with z buffer conjugation with pre-sub from x input buffer using small X input buffer.
v8cacc48 | msc8_antisym_nc (v8cacc48 acc, v16cint16 xbuff, int xstart, unsigned int xoffsets, v16cint16 ybuff, int ystart, v8cint16 zbuff, int zstart, unsigned int zoffsets)
| Complex anti-symmetric multiply-subtract intrinsic function with z buffer conjugation with pre-sub from x and y input buffers using small X input buffer.
v8cacc48 | msc8_antisym_nc (v8cacc48 acc, v32cint16 xbuff, int xstart, unsigned int xoffsets, int ystart, v8cint16 zbuff, int zstart, unsigned int zoffsets)
| Complex anti-symmetric multiply-subtract intrinsic function with z buffer conjugation with pre-sub from x input buffer .
v4cacc48 | mul4_antisym_nc (v16cint16 xbuff, int xstart, unsigned int xoffsets, int xstep, int ystart, v8cint16 zbuff, int zstart, unsigned int zoffsets, int zstep)
| Complex anti-symmetric multiply intrinsic function with z buffer conjugation with pre-sub from x input buffer using small X input buffer.
v4cacc48 | mul4_antisym_nc (v16cint16 xbuff, int xstart, unsigned int xoffsets, int xstep, v16cint16 ybuff, int ystart, v8cint16 zbuff, int zstart, unsigned int zoffsets, int zstep)
| Complex anti-symmetric multiply intrinsic function with z buffer conjugation with pre-sub from x and y input buffers using small X input buffer.
v4cacc48 | mul4_antisym_nc (v32cint16 xbuff, int xstart, unsigned int xoffsets, int xstep, int ystart, v8cint16 zbuff, int zstart, unsigned int zoffsets, int zstep)
| Complex anti-symmetric multiply intrinsic function with z buffer conjugation with pre-sub from x input buffer .
v8cacc48 | mul8_antisym_nc (v16cint16 xbuff, int xstart, unsigned int xoffsets, int ystart, v8cint16 zbuff, int zstart, unsigned int zoffsets)
| Complex anti-symmetric multiply intrinsic function with z buffer conjugation with pre-sub from x input buffer using small X input buffer.
v8cacc48 | mul8_antisym_nc (v16cint16 xbuff, int xstart, unsigned int xoffsets, v16cint16 ybuff, int ystart, v8cint16 zbuff, int zstart, unsigned int zoffsets)
| Complex anti-symmetric multiply intrinsic function with z buffer conjugation with pre-sub from x and y input buffers using small X input buffer.
v8cacc48 | mul8_antisym_nc (v32cint16 xbuff, int xstart, unsigned int xoffsets, int ystart, v8cint16 zbuff, int zstart, unsigned int zoffsets)
| Complex anti-symmetric multiply intrinsic function with z buffer conjugation with pre-sub from x input buffer .
v4cacc48 | negmul4_antisym_nc (v16cint16 xbuff, int xstart, unsigned int xoffsets, int xstep, int ystart, v8cint16 zbuff, int zstart, unsigned int zoffsets, int zstep)
| Complex anti-symmetric multiply-negate intrinsic function with z buffer conjugation with pre-sub from x input buffer using small X input buffer.
v4cacc48 | negmul4_antisym_nc (v16cint16 xbuff, int xstart, unsigned int xoffsets, int xstep, v16cint16 ybuff, int ystart, v8cint16 zbuff, int zstart, unsigned int zoffsets, int zstep)
| Complex anti-symmetric multiply-negate intrinsic function with z buffer conjugation with pre-sub from x and y input buffers using small X input buffer.
v4cacc48 | negmul4_antisym_nc (v32cint16 xbuff, int xstart, unsigned int xoffsets, int xstep, int ystart, v8cint16 zbuff, int zstart, unsigned int zoffsets, int zstep)
| Complex anti-symmetric multiply-negate intrinsic function with z buffer conjugation with pre-sub from x input buffer .
v8cacc48 | negmul8_antisym_nc (v16cint16 xbuff, int xstart, unsigned int xoffsets, int ystart, v8cint16 zbuff, int zstart, unsigned int zoffsets)
| Complex anti-symmetric multiply-negate intrinsic function with z buffer conjugation with pre-sub from x input buffer using small X input buffer.
v8cacc48 | negmul8_antisym_nc (v16cint16 xbuff, int xstart, unsigned int xoffsets, v16cint16 ybuff, int ystart, v8cint16 zbuff, int zstart, unsigned int zoffsets)
| Complex anti-symmetric multiply-negate intrinsic function with z buffer conjugation with pre-sub from x and y input buffers using small X input buffer.
v8cacc48 | negmul8_antisym_nc (v32cint16 xbuff, int xstart, unsigned int xoffsets, int ystart, v8cint16 zbuff, int zstart, unsigned int zoffsets)
| Complex anti-symmetric multiply-negate intrinsic function with z buffer conjugation with pre-sub from x input buffer .

## Function Documentation

## ◆ mac4_antisym_nc() [1/3]

v4cacc48 mac4_antisym_nc | ( | v4cacc48 | acc,
|  | v16cint16 | xbuff,
|  | int | xstart,
|  | unsigned int | xoffsets,
|  | int | xstep,
|  | int | ystart,
|  | v8cint16 | zbuff,
|  | int | zstart,
|  | unsigned int | zoffsets,
|  | int | zstep )

Complex anti-symmetric multiply-accumulate intrinsic function with z buffer conjugation with pre-sub from x input buffer using small X input buffer.

acc0 += cnj(z00)*(x00 - y00) + cnj(z01)*(x01 - y01)
acc1 += cnj(z10)*(x10 - y10) + cnj(z11)*(x11 - y11)
acc2 += cnj(z20)*(x20 - y20) + cnj(z21)*(x21 - y21)
acc3 += cnj(z30)*(x30 - y30) + cnj(z31)*(x31 - y31)

Returns
  Returned accumulation vector (4 x cint48 lanes)

Parameters

  acc | Incoming accumulation vector (4 x cint48 lanes)
  xbuff | Input buffer of 16 elements of type cint16
  xstart | Starting position offset applied to all lanes of input from X buffer.
  xoffsets | 4b offset for each lane, applied to both x and y buffers. LSB apply to first lane
  xstep | Step between each column for selection in the x and y buffers. Ystep is symmetric to xstep (ystep advances by -xstep).
  ystart | Starting position offset applied to all lanes for input from Y buffer.
  zbuff | Input buffer of 8 elements of type cint16
  zstart | Starting position offset applied to all lanes for input from Z buffer. This must be a compile time constant. Only the 4 LSB of the argument are used.
  zoffsets | 4b offset for each lane, applied to input from Z buffer. LSB apply to first lane
  zstep | Step between each column for selection in the zbuffer.

Note
  - For more information on how data selection works from the buffers go here. The data buffer and coefficient buffer in this intrinsic use the general scheme.
  - Parameter 'zstart' must be a compile time constant.

## ◆ mac4_antisym_nc() [2/3]

v4cacc48 mac4_antisym_nc | ( | v4cacc48 | acc,
|  | v16cint16 | xbuff,
|  | int | xstart,
|  | unsigned int | xoffsets,
|  | int | xstep,
|  | v16cint16 | ybuff,
|  | int | ystart,
|  | v8cint16 | zbuff,
|  | int | zstart,
|  | unsigned int | zoffsets,
|  | int | zstep )

Complex anti-symmetric multiply-accumulate intrinsic function with z buffer conjugation with pre-sub from x and y input buffers using small X input buffer.

acc0 += cnj(z00)*(x00 - y00) + cnj(z01)*(x01 - y01)
acc1 += cnj(z10)*(x10 - y10) + cnj(z11)*(x11 - y11)
acc2 += cnj(z20)*(x20 - y20) + cnj(z21)*(x21 - y21)
acc3 += cnj(z30)*(x30 - y30) + cnj(z31)*(x31 - y31)

Returns
  Returned accumulation vector (4 x cint48 lanes)

Parameters

  acc | Incoming accumulation vector (4 x cint48 lanes)
  xbuff | Input buffer of 16 elements of type cint16
  xstart | Starting position offset applied to all lanes of input from X buffer.
  xoffsets | 4b offset for each lane, applied to both x and y buffers. LSB apply to first lane
  xstep | Step between each column for selection in the x and y buffers. Ystep is symmetric to xstep (ystep advances by -xstep).
  ybuff | Right input buffer of 16 elements of type cint16
  ystart | Starting position offset applied to all lanes for input from Y buffer.
  zbuff | Input buffer of 8 elements of type cint16
  zstart | Starting position offset applied to all lanes for input from Z buffer. This must be a compile time constant. Only the 4 LSB of the argument are used.
  zoffsets | 4b offset for each lane, applied to input from Z buffer. LSB apply to first lane
  zstep | Step between each column for selection in the zbuffer.

Note
  - For more information on how data selection works from the buffers go here. The data buffer and coefficient buffer in this intrinsic use the general scheme.
  - Parameter 'zstart' must be a compile time constant.

## ◆ mac4_antisym_nc() [3/3]

v4cacc48 mac4_antisym_nc | ( | v4cacc48 | acc,
|  | v32cint16 | xbuff,
|  | int | xstart,
|  | unsigned int | xoffsets,
|  | int | xstep,
|  | int | ystart,
|  | v8cint16 | zbuff,
|  | int | zstart,
|  | unsigned int | zoffsets,
|  | int | zstep )

Complex anti-symmetric multiply-accumulate intrinsic function with z buffer conjugation with pre-sub from x input buffer .

acc0 += cnj(z00)*(x00 - y00) + cnj(z01)*(x01 - y01)
acc1 += cnj(z10)*(x10 - y10) + cnj(z11)*(x11 - y11)
acc2 += cnj(z20)*(x20 - y20) + cnj(z21)*(x21 - y21)
acc3 += cnj(z30)*(x30 - y30) + cnj(z31)*(x31 - y31)

Returns
  Returned accumulation vector (4 x cint48 lanes)

Parameters

  acc | Incoming accumulation vector (4 x cint48 lanes)
  xbuff | Input buffer of 32 elements of type cint16
  xstart | Starting position offset applied to all lanes of input from X buffer.
  xoffsets | 4b offset for each lane, applied to both x and y buffers. LSB apply to first lane
  xstep | Step between each column for selection in the x and y buffers. Ystep is symmetric to xstep (ystep advances by -xstep).
  ystart | Starting position offset applied to all lanes for input from Y buffer.
  zbuff | Input buffer of 8 elements of type cint16
  zstart | Starting position offset applied to all lanes for input from Z buffer. This must be a compile time constant. Only the 4 LSB of the argument are used.
  zoffsets | 4b offset for each lane, applied to input from Z buffer. LSB apply to first lane
  zstep | Step between each column for selection in the zbuffer.

Note
  - For more information on how data selection works from the buffers go here. The data buffer and coefficient buffer in this intrinsic use the general scheme.
  - Parameter 'zstart' must be a compile time constant.

## ◆ mac8_antisym_nc() [1/3]

v8cacc48 mac8_antisym_nc | ( | v8cacc48 | acc,
|  | v16cint16 | xbuff,
|  | int | xstart,
|  | unsigned int | xoffsets,
|  | int | ystart,
|  | v8cint16 | zbuff,
|  | int | zstart,
|  | unsigned int | zoffsets )

Complex anti-symmetric multiply-accumulate intrinsic function with z buffer conjugation with pre-sub from x input buffer using small X input buffer.

acc0 += cnj(z00)*(x00 - y00)
acc1 += cnj(z10)*(x10 - y10)
acc2 += cnj(z20)*(x20 - y20)
acc3 += cnj(z30)*(x30 - y30)
acc4 += cnj(z40)*(x40 - y40)
acc5 += cnj(z50)*(x50 - y50)
acc6 += cnj(z60)*(x60 - y60)
acc7 += cnj(z70)*(x70 - y70)

Returns
  Returned accumulation vector (8 x cint48 lanes)

Parameters

  acc | Incoming accumulation vector (8 x cint48 lanes)
  xbuff | Input buffer of 16 elements of type cint16
  xstart | Starting position offset applied to all lanes of input from X buffer.
  xoffsets | 4b offset for each lane, applied to both x and y buffers. LSB apply to first lane
  ystart | Starting position offset applied to all lanes for input from Y buffer.
  zbuff | Input buffer of 8 elements of type cint16
  zstart | Starting position offset applied to all lanes for input from Z buffer. This must be a compile time constant. Only the 4 LSB of the argument are used.
  zoffsets | 4b offset for each lane, applied to input from Z buffer. LSB apply to first lane

Note
  - For more information on how data selection works from the buffers go here. The data buffer and coefficient buffer in this intrinsic use the general scheme.
  - Parameter 'zstart' must be a compile time constant.

## ◆ mac8_antisym_nc() [2/3]

v8cacc48 mac8_antisym_nc | ( | v8cacc48 | acc,
|  | v16cint16 | xbuff,
|  | int | xstart,
|  | unsigned int | xoffsets,
|  | v16cint16 | ybuff,
|  | int | ystart,
|  | v8cint16 | zbuff,
|  | int | zstart,
|  | unsigned int | zoffsets )

Complex anti-symmetric multiply-accumulate intrinsic function with z buffer conjugation with pre-sub from x and y input buffers using small X input buffer.

acc0 += cnj(z00)*(x00 - y00)
acc1 += cnj(z10)*(x10 - y10)
acc2 += cnj(z20)*(x20 - y20)
acc3 += cnj(z30)*(x30 - y30)
acc4 += cnj(z40)*(x40 - y40)
acc5 += cnj(z50)*(x50 - y50)
acc6 += cnj(z60)*(x60 - y60)
acc7 += cnj(z70)*(x70 - y70)

Returns
  Returned accumulation vector (8 x cint48 lanes)

Parameters

  acc | Incoming accumulation vector (8 x cint48 lanes)
  xbuff | Input buffer of 16 elements of type cint16
  xstart | Starting position offset applied to all lanes of input from X buffer.
  xoffsets | 4b offset for each lane, applied to both x and y buffers. LSB apply to first lane
  ybuff | Right input buffer of 16 elements of type cint16
  ystart | Starting position offset applied to all lanes for input from Y buffer.
  zbuff | Input buffer of 8 elements of type cint16
  zstart | Starting position offset applied to all lanes for input from Z buffer. This must be a compile time constant. Only the 4 LSB of the argument are used.
  zoffsets | 4b offset for each lane, applied to input from Z buffer. LSB apply to first lane

Note
  - For more information on how data selection works from the buffers go here. The data buffer and coefficient buffer in this intrinsic use the general scheme.
  - Parameter 'zstart' must be a compile time constant.

## ◆ mac8_antisym_nc() [3/3]

v8cacc48 mac8_antisym_nc | ( | v8cacc48 | acc,
|  | v32cint16 | xbuff,
|  | int | xstart,
|  | unsigned int | xoffsets,
|  | int | ystart,
|  | v8cint16 | zbuff,
|  | int | zstart,
|  | unsigned int | zoffsets )

Complex anti-symmetric multiply-accumulate intrinsic function with z buffer conjugation with pre-sub from x input buffer .

acc0 += cnj(z00)*(x00 - y00)
acc1 += cnj(z10)*(x10 - y10)
acc2 += cnj(z20)*(x20 - y20)
acc3 += cnj(z30)*(x30 - y30)
acc4 += cnj(z40)*(x40 - y40)
acc5 += cnj(z50)*(x50 - y50)
acc6 += cnj(z60)*(x60 - y60)
acc7 += cnj(z70)*(x70 - y70)

Returns
  Returned accumulation vector (8 x cint48 lanes)

Parameters

  acc | Incoming accumulation vector (8 x cint48 lanes)
  xbuff | Input buffer of 32 elements of type cint16
  xstart | Starting position offset applied to all lanes of input from X buffer.
  xoffsets | 4b offset for each lane, applied to both x and y buffers. LSB apply to first lane
  ystart | Starting position offset applied to all lanes for input from Y buffer.
  zbuff | Input buffer of 8 elements of type cint16
  zstart | Starting position offset applied to all lanes for input from Z buffer. This must be a compile time constant. Only the 4 LSB of the argument are used.
  zoffsets | 4b offset for each lane, applied to input from Z buffer. LSB apply to first lane

Note
  - For more information on how data selection works from the buffers go here. The data buffer and coefficient buffer in this intrinsic use the general scheme.
  - Parameter 'zstart' must be a compile time constant.

## ◆ msc4_antisym_nc() [1/3]

v4cacc48 msc4_antisym_nc | ( | v4cacc48 | acc,
|  | v16cint16 | xbuff,
|  | int | xstart,
|  | unsigned int | xoffsets,
|  | int | xstep,
|  | int | ystart,
|  | v8cint16 | zbuff,
|  | int | zstart,
|  | unsigned int | zoffsets,
|  | int | zstep )

Complex anti-symmetric multiply-subtract intrinsic function with z buffer conjugation with pre-sub from x input buffer using small X input buffer.

acc0 -= cnj(z00)*(x00 - y00) + cnj(z01)*(x01 - y01)
acc1 -= cnj(z10)*(x10 - y10) + cnj(z11)*(x11 - y11)
acc2 -= cnj(z20)*(x20 - y20) + cnj(z21)*(x21 - y21)
acc3 -= cnj(z30)*(x30 - y30) + cnj(z31)*(x31 - y31)

Returns
  Returned accumulation vector (4 x cint48 lanes)

Parameters

  acc | Incoming accumulation vector (4 x cint48 lanes)
  xbuff | Input buffer of 16 elements of type cint16
  xstart | Starting position offset applied to all lanes of input from X buffer.
  xoffsets | 4b offset for each lane, applied to both x and y buffers. LSB apply to first lane
  xstep | Step between each column for selection in the x and y buffers. Ystep is symmetric to xstep (ystep advances by -xstep).
  ystart | Starting position offset applied to all lanes for input from Y buffer.
  zbuff | Input buffer of 8 elements of type cint16
  zstart | Starting position offset applied to all lanes for input from Z buffer. This must be a compile time constant. Only the 4 LSB of the argument are used.
  zoffsets | 4b offset for each lane, applied to input from Z buffer. LSB apply to first lane
  zstep | Step between each column for selection in the zbuffer.

Note
  - For more information on how data selection works from the buffers go here. The data buffer and coefficient buffer in this intrinsic use the general scheme.
  - Parameter 'zstart' must be a compile time constant.

## ◆ msc4_antisym_nc() [2/3]

v4cacc48 msc4_antisym_nc | ( | v4cacc48 | acc,
|  | v16cint16 | xbuff,
|  | int | xstart,
|  | unsigned int | xoffsets,
|  | int | xstep,
|  | v16cint16 | ybuff,
|  | int | ystart,
|  | v8cint16 | zbuff,
|  | int | zstart,
|  | unsigned int | zoffsets,
|  | int | zstep )

Complex anti-symmetric multiply-subtract intrinsic function with z buffer conjugation with pre-sub from x and y input buffers using small X input buffer.

acc0 -= cnj(z00)*(x00 - y00) + cnj(z01)*(x01 - y01)
acc1 -= cnj(z10)*(x10 - y10) + cnj(z11)*(x11 - y11)
acc2 -= cnj(z20)*(x20 - y20) + cnj(z21)*(x21 - y21)
acc3 -= cnj(z30)*(x30 - y30) + cnj(z31)*(x31 - y31)

Returns
  Returned accumulation vector (4 x cint48 lanes)

Parameters

  acc | Incoming accumulation vector (4 x cint48 lanes)
  xbuff | Input buffer of 16 elements of type cint16
  xstart | Starting position offset applied to all lanes of input from X buffer.
  xoffsets | 4b offset for each lane, applied to both x and y buffers. LSB apply to first lane
  xstep | Step between each column for selection in the x and y buffers. Ystep is symmetric to xstep (ystep advances by -xstep).
  ybuff | Right input buffer of 16 elements of type cint16
  ystart | Starting position offset applied to all lanes for input from Y buffer.
  zbuff | Input buffer of 8 elements of type cint16
  zstart | Starting position offset applied to all lanes for input from Z buffer. This must be a compile time constant. Only the 4 LSB of the argument are used.
  zoffsets | 4b offset for each lane, applied to input from Z buffer. LSB apply to first lane
  zstep | Step between each column for selection in the zbuffer.

Note
  - For more information on how data selection works from the buffers go here. The data buffer and coefficient buffer in this intrinsic use the general scheme.
  - Parameter 'zstart' must be a compile time constant.

## ◆ msc4_antisym_nc() [3/3]

v4cacc48 msc4_antisym_nc | ( | v4cacc48 | acc,
|  | v32cint16 | xbuff,
|  | int | xstart,
|  | unsigned int | xoffsets,
|  | int | xstep,
|  | int | ystart,
|  | v8cint16 | zbuff,
|  | int | zstart,
|  | unsigned int | zoffsets,
|  | int | zstep )

Complex anti-symmetric multiply-subtract intrinsic function with z buffer conjugation with pre-sub from x input buffer .

acc0 -= cnj(z00)*(x00 - y00) + cnj(z01)*(x01 - y01)
acc1 -= cnj(z10)*(x10 - y10) + cnj(z11)*(x11 - y11)
acc2 -= cnj(z20)*(x20 - y20) + cnj(z21)*(x21 - y21)
acc3 -= cnj(z30)*(x30 - y30) + cnj(z31)*(x31 - y31)

Returns
  Returned accumulation vector (4 x cint48 lanes)

Parameters

  acc | Incoming accumulation vector (4 x cint48 lanes)
  xbuff | Input buffer of 32 elements of type cint16
  xstart | Starting position offset applied to all lanes of input from X buffer.
  xoffsets | 4b offset for each lane, applied to both x and y buffers. LSB apply to first lane
  xstep | Step between each column for selection in the x and y buffers. Ystep is symmetric to xstep (ystep advances by -xstep).
  ystart | Starting position offset applied to all lanes for input from Y buffer.
  zbuff | Input buffer of 8 elements of type cint16
  zstart | Starting position offset applied to all lanes for input from Z buffer. This must be a compile time constant. Only the 4 LSB of the argument are used.
  zoffsets | 4b offset for each lane, applied to input from Z buffer. LSB apply to first lane
  zstep | Step between each column for selection in the zbuffer.

Note
  - For more information on how data selection works from the buffers go here. The data buffer and coefficient buffer in this intrinsic use the general scheme.
  - Parameter 'zstart' must be a compile time constant.

## ◆ msc8_antisym_nc() [1/3]

v8cacc48 msc8_antisym_nc | ( | v8cacc48 | acc,
|  | v16cint16 | xbuff,
|  | int | xstart,
|  | unsigned int | xoffsets,
|  | int | ystart,
|  | v8cint16 | zbuff,
|  | int | zstart,
|  | unsigned int | zoffsets )

Complex anti-symmetric multiply-subtract intrinsic function with z buffer conjugation with pre-sub from x input buffer using small X input buffer.

acc0 -= cnj(z00)*(x00 - y00)
acc1 -= cnj(z10)*(x10 - y10)
acc2 -= cnj(z20)*(x20 - y20)
acc3 -= cnj(z30)*(x30 - y30)
acc4 -= cnj(z40)*(x40 - y40)
acc5 -= cnj(z50)*(x50 - y50)
acc6 -= cnj(z60)*(x60 - y60)
acc7 -= cnj(z70)*(x70 - y70)

Returns
  Returned accumulation vector (8 x cint48 lanes)

Parameters

  acc | Incoming accumulation vector (8 x cint48 lanes)
  xbuff | Input buffer of 16 elements of type cint16
  xstart | Starting position offset applied to all lanes of input from X buffer.
  xoffsets | 4b offset for each lane, applied to both x and y buffers. LSB apply to first lane
  ystart | Starting position offset applied to all lanes for input from Y buffer.
  zbuff | Input buffer of 8 elements of type cint16
  zstart | Starting position offset applied to all lanes for input from Z buffer. This must be a compile time constant. Only the 4 LSB of the argument are used.
  zoffsets | 4b offset for each lane, applied to input from Z buffer. LSB apply to first lane

Note
  - For more information on how data selection works from the buffers go here. The data buffer and coefficient buffer in this intrinsic use the general scheme.
  - Parameter 'zstart' must be a compile time constant.

## ◆ msc8_antisym_nc() [2/3]

v8cacc48 msc8_antisym_nc | ( | v8cacc48 | acc,
|  | v16cint16 | xbuff,
|  | int | xstart,
|  | unsigned int | xoffsets,
|  | v16cint16 | ybuff,
|  | int | ystart,
|  | v8cint16 | zbuff,
|  | int | zstart,
|  | unsigned int | zoffsets )

Complex anti-symmetric multiply-subtract intrinsic function with z buffer conjugation with pre-sub from x and y input buffers using small X input buffer.

acc0 -= cnj(z00)*(x00 - y00)
acc1 -= cnj(z10)*(x10 - y10)
acc2 -= cnj(z20)*(x20 - y20)
acc3 -= cnj(z30)*(x30 - y30)
acc4 -= cnj(z40)*(x40 - y40)
acc5 -= cnj(z50)*(x50 - y50)
acc6 -= cnj(z60)*(x60 - y60)
acc7 -= cnj(z70)*(x70 - y70)

Returns
  Returned accumulation vector (8 x cint48 lanes)

Parameters

  acc | Incoming accumulation vector (8 x cint48 lanes)
  xbuff | Input buffer of 16 elements of type cint16
  xstart | Starting position offset applied to all lanes of input from X buffer.
  xoffsets | 4b offset for each lane, applied to both x and y buffers. LSB apply to first lane
  ybuff | Right input buffer of 16 elements of type cint16
  ystart | Starting position offset applied to all lanes for input from Y buffer.
  zbuff | Input buffer of 8 elements of type cint16
  zstart | Starting position offset applied to all lanes for input from Z buffer. This must be a compile time constant. Only the 4 LSB of the argument are used.
  zoffsets | 4b offset for each lane, applied to input from Z buffer. LSB apply to first lane

Note
  - For more information on how data selection works from the buffers go here. The data buffer and coefficient buffer in this intrinsic use the general scheme.
  - Parameter 'zstart' must be a compile time constant.

## ◆ msc8_antisym_nc() [3/3]

v8cacc48 msc8_antisym_nc | ( | v8cacc48 | acc,
|  | v32cint16 | xbuff,
|  | int | xstart,
|  | unsigned int | xoffsets,
|  | int | ystart,
|  | v8cint16 | zbuff,
|  | int | zstart,
|  | unsigned int | zoffsets )

Complex anti-symmetric multiply-subtract intrinsic function with z buffer conjugation with pre-sub from x input buffer .

acc0 -= cnj(z00)*(x00 - y00)
acc1 -= cnj(z10)*(x10 - y10)
acc2 -= cnj(z20)*(x20 - y20)
acc3 -= cnj(z30)*(x30 - y30)
acc4 -= cnj(z40)*(x40 - y40)
acc5 -= cnj(z50)*(x50 - y50)
acc6 -= cnj(z60)*(x60 - y60)
acc7 -= cnj(z70)*(x70 - y70)

Returns
  Returned accumulation vector (8 x cint48 lanes)

Parameters

  acc | Incoming accumulation vector (8 x cint48 lanes)
  xbuff | Input buffer of 32 elements of type cint16
  xstart | Starting position offset applied to all lanes of input from X buffer.
  xoffsets | 4b offset for each lane, applied to both x and y buffers. LSB apply to first lane
  ystart | Starting position offset applied to all lanes for input from Y buffer.
  zbuff | Input buffer of 8 elements of type cint16
  zstart | Starting position offset applied to all lanes for input from Z buffer. This must be a compile time constant. Only the 4 LSB of the argument are used.
  zoffsets | 4b offset for each lane, applied to input from Z buffer. LSB apply to first lane

Note
  - For more information on how data selection works from the buffers go here. The data buffer and coefficient buffer in this intrinsic use the general scheme.
  - Parameter 'zstart' must be a compile time constant.

## ◆ mul4_antisym_nc() [1/3]

v4cacc48 mul4_antisym_nc | ( | v16cint16 | xbuff,
|  | int | xstart,
|  | unsigned int | xoffsets,
|  | int | xstep,
|  | int | ystart,
|  | v8cint16 | zbuff,
|  | int | zstart,
|  | unsigned int | zoffsets,
|  | int | zstep )

Complex anti-symmetric multiply intrinsic function with z buffer conjugation with pre-sub from x input buffer using small X input buffer.

acc0 = cnj(z00)*(x00 - y00) + cnj(z01)*(x01 - y01)
acc1 = cnj(z10)*(x10 - y10) + cnj(z11)*(x11 - y11)
acc2 = cnj(z20)*(x20 - y20) + cnj(z21)*(x21 - y21)
acc3 = cnj(z30)*(x30 - y30) + cnj(z31)*(x31 - y31)

Returns
  Returned accumulation vector (4 x cint48 lanes)

Parameters

  xbuff | Input buffer of 16 elements of type cint16
  xstart | Starting position offset applied to all lanes of input from X buffer.
  xoffsets | 4b offset for each lane, applied to both x and y buffers. LSB apply to first lane
  xstep | Step between each column for selection in the x and y buffers. Ystep is symmetric to xstep (ystep advances by -xstep).
  ystart | Starting position offset applied to all lanes for input from Y buffer.
  zbuff | Input buffer of 8 elements of type cint16
  zstart | Starting position offset applied to all lanes for input from Z buffer. This must be a compile time constant. Only the 4 LSB of the argument are used.
  zoffsets | 4b offset for each lane, applied to input from Z buffer. LSB apply to first lane
  zstep | Step between each column for selection in the zbuffer.

Note
  - For more information on how data selection works from the buffers go here. The data buffer and coefficient buffer in this intrinsic use the general scheme.
  - Parameter 'zstart' must be a compile time constant.

## ◆ mul4_antisym_nc() [2/3]

v4cacc48 mul4_antisym_nc | ( | v16cint16 | xbuff,
|  | int | xstart,
|  | unsigned int | xoffsets,
|  | int | xstep,
|  | v16cint16 | ybuff,
|  | int | ystart,
|  | v8cint16 | zbuff,
|  | int | zstart,
|  | unsigned int | zoffsets,
|  | int | zstep )

Complex anti-symmetric multiply intrinsic function with z buffer conjugation with pre-sub from x and y input buffers using small X input buffer.

acc0 = cnj(z00)*(x00 - y00) + cnj(z01)*(x01 - y01)
acc1 = cnj(z10)*(x10 - y10) + cnj(z11)*(x11 - y11)
acc2 = cnj(z20)*(x20 - y20) + cnj(z21)*(x21 - y21)
acc3 = cnj(z30)*(x30 - y30) + cnj(z31)*(x31 - y31)

Returns
  Returned accumulation vector (4 x cint48 lanes)

Parameters

  xbuff | Input buffer of 16 elements of type cint16
  xstart | Starting position offset applied to all lanes of input from X buffer.
  xoffsets | 4b offset for each lane, applied to both x and y buffers. LSB apply to first lane
  xstep | Step between each column for selection in the x and y buffers. Ystep is symmetric to xstep (ystep advances by -xstep).
  ybuff | Right input buffer of 16 elements of type cint16
  ystart | Starting position offset applied to all lanes for input from Y buffer.
  zbuff | Input buffer of 8 elements of type cint16
  zstart | Starting position offset applied to all lanes for input from Z buffer. This must be a compile time constant. Only the 4 LSB of the argument are used.
  zoffsets | 4b offset for each lane, applied to input from Z buffer. LSB apply to first lane
  zstep | Step between each column for selection in the zbuffer.

Note
  - For more information on how data selection works from the buffers go here. The data buffer and coefficient buffer in this intrinsic use the general scheme.
  - Parameter 'zstart' must be a compile time constant.

## ◆ mul4_antisym_nc() [3/3]

v4cacc48 mul4_antisym_nc | ( | v32cint16 | xbuff,
|  | int | xstart,
|  | unsigned int | xoffsets,
|  | int | xstep,
|  | int | ystart,
|  | v8cint16 | zbuff,
|  | int | zstart,
|  | unsigned int | zoffsets,
|  | int | zstep )

Complex anti-symmetric multiply intrinsic function with z buffer conjugation with pre-sub from x input buffer .

acc0 = cnj(z00)*(x00 - y00) + cnj(z01)*(x01 - y01)
acc1 = cnj(z10)*(x10 - y10) + cnj(z11)*(x11 - y11)
acc2 = cnj(z20)*(x20 - y20) + cnj(z21)*(x21 - y21)
acc3 = cnj(z30)*(x30 - y30) + cnj(z31)*(x31 - y31)

Returns
  Returned accumulation vector (4 x cint48 lanes)

Parameters

  xbuff | Input buffer of 32 elements of type cint16
  xstart | Starting position offset applied to all lanes of input from X buffer.
  xoffsets | 4b offset for each lane, applied to both x and y buffers. LSB apply to first lane
  xstep | Step between each column for selection in the x and y buffers. Ystep is symmetric to xstep (ystep advances by -xstep).
  ystart | Starting position offset applied to all lanes for input from Y buffer.
  zbuff | Input buffer of 8 elements of type cint16
  zstart | Starting position offset applied to all lanes for input from Z buffer. This must be a compile time constant. Only the 4 LSB of the argument are used.
  zoffsets | 4b offset for each lane, applied to input from Z buffer. LSB apply to first lane
  zstep | Step between each column for selection in the zbuffer.

Note
  - For more information on how data selection works from the buffers go here. The data buffer and coefficient buffer in this intrinsic use the general scheme.
  - Parameter 'zstart' must be a compile time constant.

## ◆ mul8_antisym_nc() [1/3]

v8cacc48 mul8_antisym_nc | ( | v16cint16 | xbuff,
|  | int | xstart,
|  | unsigned int | xoffsets,
|  | int | ystart,
|  | v8cint16 | zbuff,
|  | int | zstart,
|  | unsigned int | zoffsets )

Complex anti-symmetric multiply intrinsic function with z buffer conjugation with pre-sub from x input buffer using small X input buffer.

acc0 = cnj(z00)*(x00 - y00)
acc1 = cnj(z10)*(x10 - y10)
acc2 = cnj(z20)*(x20 - y20)
acc3 = cnj(z30)*(x30 - y30)
acc4 = cnj(z40)*(x40 - y40)
acc5 = cnj(z50)*(x50 - y50)
acc6 = cnj(z60)*(x60 - y60)
acc7 = cnj(z70)*(x70 - y70)

Returns
  Returned accumulation vector (8 x cint48 lanes)

Parameters

  xbuff | Input buffer of 16 elements of type cint16
  xstart | Starting position offset applied to all lanes of input from X buffer.
  xoffsets | 4b offset for each lane, applied to both x and y buffers. LSB apply to first lane
  ystart | Starting position offset applied to all lanes for input from Y buffer.
  zbuff | Input buffer of 8 elements of type cint16
  zstart | Starting position offset applied to all lanes for input from Z buffer. This must be a compile time constant. Only the 4 LSB of the argument are used.
  zoffsets | 4b offset for each lane, applied to input from Z buffer. LSB apply to first lane

Note
  - For more information on how data selection works from the buffers go here. The data buffer and coefficient buffer in this intrinsic use the general scheme.
  - Parameter 'zstart' must be a compile time constant.

## ◆ mul8_antisym_nc() [2/3]

v8cacc48 mul8_antisym_nc | ( | v16cint16 | xbuff,
|  | int | xstart,
|  | unsigned int | xoffsets,
|  | v16cint16 | ybuff,
|  | int | ystart,
|  | v8cint16 | zbuff,
|  | int | zstart,
|  | unsigned int | zoffsets )

Complex anti-symmetric multiply intrinsic function with z buffer conjugation with pre-sub from x and y input buffers using small X input buffer.

acc0 = cnj(z00)*(x00 - y00)
acc1 = cnj(z10)*(x10 - y10)
acc2 = cnj(z20)*(x20 - y20)
acc3 = cnj(z30)*(x30 - y30)
acc4 = cnj(z40)*(x40 - y40)
acc5 = cnj(z50)*(x50 - y50)
acc6 = cnj(z60)*(x60 - y60)
acc7 = cnj(z70)*(x70 - y70)

Returns
  Returned accumulation vector (8 x cint48 lanes)

Parameters

  xbuff | Input buffer of 16 elements of type cint16
  xstart | Starting position offset applied to all lanes of input from X buffer.
  xoffsets | 4b offset for each lane, applied to both x and y buffers. LSB apply to first lane
  ybuff | Right input buffer of 16 elements of type cint16
  ystart | Starting position offset applied to all lanes for input from Y buffer.
  zbuff | Input buffer of 8 elements of type cint16
  zstart | Starting position offset applied to all lanes for input from Z buffer. This must be a compile time constant. Only the 4 LSB of the argument are used.
  zoffsets | 4b offset for each lane, applied to input from Z buffer. LSB apply to first lane

Note
  - For more information on how data selection works from the buffers go here. The data buffer and coefficient buffer in this intrinsic use the general scheme.
  - Parameter 'zstart' must be a compile time constant.

## ◆ mul8_antisym_nc() [3/3]

v8cacc48 mul8_antisym_nc | ( | v32cint16 | xbuff,
|  | int | xstart,
|  | unsigned int | xoffsets,
|  | int | ystart,
|  | v8cint16 | zbuff,
|  | int | zstart,
|  | unsigned int | zoffsets )

Complex anti-symmetric multiply intrinsic function with z buffer conjugation with pre-sub from x input buffer .

acc0 = cnj(z00)*(x00 - y00)
acc1 = cnj(z10)*(x10 - y10)
acc2 = cnj(z20)*(x20 - y20)
acc3 = cnj(z30)*(x30 - y30)
acc4 = cnj(z40)*(x40 - y40)
acc5 = cnj(z50)*(x50 - y50)
acc6 = cnj(z60)*(x60 - y60)
acc7 = cnj(z70)*(x70 - y70)

Returns
  Returned accumulation vector (8 x cint48 lanes)

Parameters

  xbuff | Input buffer of 32 elements of type cint16
  xstart | Starting position offset applied to all lanes of input from X buffer.
  xoffsets | 4b offset for each lane, applied to both x and y buffers. LSB apply to first lane
  ystart | Starting position offset applied to all lanes for input from Y buffer.
  zbuff | Input buffer of 8 elements of type cint16
  zstart | Starting position offset applied to all lanes for input from Z buffer. This must be a compile time constant. Only the 4 LSB of the argument are used.
  zoffsets | 4b offset for each lane, applied to input from Z buffer. LSB apply to first lane

Note
  - For more information on how data selection works from the buffers go here. The data buffer and coefficient buffer in this intrinsic use the general scheme.
  - Parameter 'zstart' must be a compile time constant.

## ◆ negmul4_antisym_nc() [1/3]

v4cacc48 negmul4_antisym_nc | ( | v16cint16 | xbuff,
|  | int | xstart,
|  | unsigned int | xoffsets,
|  | int | xstep,
|  | int | ystart,
|  | v8cint16 | zbuff,
|  | int | zstart,
|  | unsigned int | zoffsets,
|  | int | zstep )

Complex anti-symmetric multiply-negate intrinsic function with z buffer conjugation with pre-sub from x input buffer using small X input buffer.

acc0 = -( cnj(z00)*(x00 - y00) + cnj(z01)*(x01 - y01) )
acc1 = -( cnj(z10)*(x10 - y10) + cnj(z11)*(x11 - y11) )
acc2 = -( cnj(z20)*(x20 - y20) + cnj(z21)*(x21 - y21) )
acc3 = -( cnj(z30)*(x30 - y30) + cnj(z31)*(x31 - y31) )

Returns
  Returned accumulation vector (4 x cint48 lanes)

Parameters

  xbuff | Input buffer of 16 elements of type cint16
  xstart | Starting position offset applied to all lanes of input from X buffer.
  xoffsets | 4b offset for each lane, applied to both x and y buffers. LSB apply to first lane
  xstep | Step between each column for selection in the x and y buffers. Ystep is symmetric to xstep (ystep advances by -xstep).
  ystart | Starting position offset applied to all lanes for input from Y buffer.
  zbuff | Input buffer of 8 elements of type cint16
  zstart | Starting position offset applied to all lanes for input from Z buffer. This must be a compile time constant. Only the 4 LSB of the argument are used.
  zoffsets | 4b offset for each lane, applied to input from Z buffer. LSB apply to first lane
  zstep | Step between each column for selection in the zbuffer.

Note
  - For more information on how data selection works from the buffers go here. The data buffer and coefficient buffer in this intrinsic use the general scheme.
  - Parameter 'zstart' must be a compile time constant.

## ◆ negmul4_antisym_nc() [2/3]

v4cacc48 negmul4_antisym_nc | ( | v16cint16 | xbuff,
|  | int | xstart,
|  | unsigned int | xoffsets,
|  | int | xstep,
|  | v16cint16 | ybuff,
|  | int | ystart,
|  | v8cint16 | zbuff,
|  | int | zstart,
|  | unsigned int | zoffsets,
|  | int | zstep )

Complex anti-symmetric multiply-negate intrinsic function with z buffer conjugation with pre-sub from x and y input buffers using small X input buffer.

acc0 = -( cnj(z00)*(x00 - y00) + cnj(z01)*(x01 - y01) )
acc1 = -( cnj(z10)*(x10 - y10) + cnj(z11)*(x11 - y11) )
acc2 = -( cnj(z20)*(x20 - y20) + cnj(z21)*(x21 - y21) )
acc3 = -( cnj(z30)*(x30 - y30) + cnj(z31)*(x31 - y31) )

Returns
  Returned accumulation vector (4 x cint48 lanes)

Parameters

  xbuff | Input buffer of 16 elements of type cint16
  xstart | Starting position offset applied to all lanes of input from X buffer.
  xoffsets | 4b offset for each lane, applied to both x and y buffers. LSB apply to first lane
  xstep | Step between each column for selection in the x and y buffers. Ystep is symmetric to xstep (ystep advances by -xstep).
  ybuff | Right input buffer of 16 elements of type cint16
  ystart | Starting position offset applied to all lanes for input from Y buffer.
  zbuff | Input buffer of 8 elements of type cint16
  zstart | Starting position offset applied to all lanes for input from Z buffer. This must be a compile time constant. Only the 4 LSB of the argument are used.
  zoffsets | 4b offset for each lane, applied to input from Z buffer. LSB apply to first lane
  zstep | Step between each column for selection in the zbuffer.

Note
  - For more information on how data selection works from the buffers go here. The data buffer and coefficient buffer in this intrinsic use the general scheme.
  - Parameter 'zstart' must be a compile time constant.

## ◆ negmul4_antisym_nc() [3/3]

v4cacc48 negmul4_antisym_nc | ( | v32cint16 | xbuff,
|  | int | xstart,
|  | unsigned int | xoffsets,
|  | int | xstep,
|  | int | ystart,
|  | v8cint16 | zbuff,
|  | int | zstart,
|  | unsigned int | zoffsets,
|  | int | zstep )

Complex anti-symmetric multiply-negate intrinsic function with z buffer conjugation with pre-sub from x input buffer .

acc0 = -( cnj(z00)*(x00 - y00) + cnj(z01)*(x01 - y01) )
acc1 = -( cnj(z10)*(x10 - y10) + cnj(z11)*(x11 - y11) )
acc2 = -( cnj(z20)*(x20 - y20) + cnj(z21)*(x21 - y21) )
acc3 = -( cnj(z30)*(x30 - y30) + cnj(z31)*(x31 - y31) )

Returns
  Returned accumulation vector (4 x cint48 lanes)

Parameters

  xbuff | Input buffer of 32 elements of type cint16
  xstart | Starting position offset applied to all lanes of input from X buffer.
  xoffsets | 4b offset for each lane, applied to both x and y buffers. LSB apply to first lane
  xstep | Step between each column for selection in the x and y buffers. Ystep is symmetric to xstep (ystep advances by -xstep).
  ystart | Starting position offset applied to all lanes for input from Y buffer.
  zbuff | Input buffer of 8 elements of type cint16
  zstart | Starting position offset applied to all lanes for input from Z buffer. This must be a compile time constant. Only the 4 LSB of the argument are used.
  zoffsets | 4b offset for each lane, applied to input from Z buffer. LSB apply to first lane
  zstep | Step between each column for selection in the zbuffer.

Note
  - For more information on how data selection works from the buffers go here. The data buffer and coefficient buffer in this intrinsic use the general scheme.
  - Parameter 'zstart' must be a compile time constant.

## ◆ negmul8_antisym_nc() [1/3]

v8cacc48 negmul8_antisym_nc | ( | v16cint16 | xbuff,
|  | int | xstart,
|  | unsigned int | xoffsets,
|  | int | ystart,
|  | v8cint16 | zbuff,
|  | int | zstart,
|  | unsigned int | zoffsets )

Complex anti-symmetric multiply-negate intrinsic function with z buffer conjugation with pre-sub from x input buffer using small X input buffer.

acc0 = -( cnj(z00)*(x00 - y00) )
acc1 = -( cnj(z10)*(x10 - y10) )
acc2 = -( cnj(z20)*(x20 - y20) )
acc3 = -( cnj(z30)*(x30 - y30) )
acc4 = -( cnj(z40)*(x40 - y40) )
acc5 = -( cnj(z50)*(x50 - y50) )
acc6 = -( cnj(z60)*(x60 - y60) )
acc7 = -( cnj(z70)*(x70 - y70) )

Returns
  Returned accumulation vector (8 x cint48 lanes)

Parameters

  xbuff | Input buffer of 16 elements of type cint16
  xstart | Starting position offset applied to all lanes of input from X buffer.
  xoffsets | 4b offset for each lane, applied to both x and y buffers. LSB apply to first lane
  ystart | Starting position offset applied to all lanes for input from Y buffer.
  zbuff | Input buffer of 8 elements of type cint16
  zstart | Starting position offset applied to all lanes for input from Z buffer. This must be a compile time constant. Only the 4 LSB of the argument are used.
  zoffsets | 4b offset for each lane, applied to input from Z buffer. LSB apply to first lane

Note
  - For more information on how data selection works from the buffers go here. The data buffer and coefficient buffer in this intrinsic use the general scheme.
  - Parameter 'zstart' must be a compile time constant.

## ◆ negmul8_antisym_nc() [2/3]

v8cacc48 negmul8_antisym_nc | ( | v16cint16 | xbuff,
|  | int | xstart,
|  | unsigned int | xoffsets,
|  | v16cint16 | ybuff,
|  | int | ystart,
|  | v8cint16 | zbuff,
|  | int | zstart,
|  | unsigned int | zoffsets )

Complex anti-symmetric multiply-negate intrinsic function with z buffer conjugation with pre-sub from x and y input buffers using small X input buffer.

acc0 = -( cnj(z00)*(x00 - y00) )
acc1 = -( cnj(z10)*(x10 - y10) )
acc2 = -( cnj(z20)*(x20 - y20) )
acc3 = -( cnj(z30)*(x30 - y30) )
acc4 = -( cnj(z40)*(x40 - y40) )
acc5 = -( cnj(z50)*(x50 - y50) )
acc6 = -( cnj(z60)*(x60 - y60) )
acc7 = -( cnj(z70)*(x70 - y70) )

Returns
  Returned accumulation vector (8 x cint48 lanes)

Parameters

  xbuff | Input buffer of 16 elements of type cint16
  xstart | Starting position offset applied to all lanes of input from X buffer.
  xoffsets | 4b offset for each lane, applied to both x and y buffers. LSB apply to first lane
  ybuff | Right input buffer of 16 elements of type cint16
  ystart | Starting position offset applied to all lanes for input from Y buffer.
  zbuff | Input buffer of 8 elements of type cint16
  zstart | Starting position offset applied to all lanes for input from Z buffer. This must be a compile time constant. Only the 4 LSB of the argument are used.
  zoffsets | 4b offset for each lane, applied to input from Z buffer. LSB apply to first lane

Note
  - For more information on how data selection works from the buffers go here. The data buffer and coefficient buffer in this intrinsic use the general scheme.
  - Parameter 'zstart' must be a compile time constant.

## ◆ negmul8_antisym_nc() [3/3]

v8cacc48 negmul8_antisym_nc | ( | v32cint16 | xbuff,
|  | int | xstart,
|  | unsigned int | xoffsets,
|  | int | ystart,
|  | v8cint16 | zbuff,
|  | int | zstart,
|  | unsigned int | zoffsets )

Complex anti-symmetric multiply-negate intrinsic function with z buffer conjugation with pre-sub from x input buffer .

acc0 = -( cnj(z00)*(x00 - y00) )
acc1 = -( cnj(z10)*(x10 - y10) )
acc2 = -( cnj(z20)*(x20 - y20) )
acc3 = -( cnj(z30)*(x30 - y30) )
acc4 = -( cnj(z40)*(x40 - y40) )
acc5 = -( cnj(z50)*(x50 - y50) )
acc6 = -( cnj(z60)*(x60 - y60) )
acc7 = -( cnj(z70)*(x70 - y70) )

Returns
  Returned accumulation vector (8 x cint48 lanes)

Parameters

  xbuff | Input buffer of 32 elements of type cint16
  xstart | Starting position offset applied to all lanes of input from X buffer.
  xoffsets | 4b offset for each lane, applied to both x and y buffers. LSB apply to first lane
  ystart | Starting position offset applied to all lanes for input from Y buffer.
  zbuff | Input buffer of 8 elements of type cint16
  zstart | Starting position offset applied to all lanes for input from Z buffer. This must be a compile time constant. Only the 4 LSB of the argument are used.
  zoffsets | 4b offset for each lane, applied to input from Z buffer. LSB apply to first lane

Note
  - For more information on how data selection works from the buffers go here. The data buffer and coefficient buffer in this intrinsic use the general scheme.
  - Parameter 'zstart' must be a compile time constant.